<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="ro">
<head>
<!-- Generated by javadoc (1.8.0_231) on Thu Apr 30 00:38:28 EEST 2020 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>AbstractDAO</title>
<meta name="date" content="2020-04-30">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="AbstractDAO";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/AbstractDAO.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Class</li>
<li><a href="../dao_package/ClientsAbstractDAO.html" title="class in dao_package"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?dao_package/AbstractDAO.html" target="_top">Frames</a></li>
<li><a href="AbstractDAO.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">dao_package</div>
<h2 title="Class AbstractDAO" class="title">Class AbstractDAO&lt;T&gt;</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>dao_package.AbstractDAO&lt;T&gt;</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>Direct Known Subclasses:</dt>
<dd><a href="../dao_package/ClientsAbstractDAO.html" title="class in dao_package">ClientsAbstractDAO</a>, <a href="../dao_package/OrdersAbstractDAO.html" title="class in dao_package">OrdersAbstractDAO</a>, <a href="../dao_package/ProductsAbstractDAO.html" title="class in dao_package">ProductsAbstractDAO</a></dd>
</dl>
<hr>
<br>
<pre>public class <span class="typeNameLabel">AbstractDAO&lt;T&gt;</span>
extends java.lang.Object</pre>
<div class="block">– contine un obiect de o Clasa generica si o constanta de tipul Logger; 
 - clasa contine un constructor, metode care creeaza query-urile pentru operatiile de select, select all, insert, delete si update, 
 totodata continand si metode care realizeaza conexiunea la BD si executa query-urile;</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected static java.util.logging.Logger</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../dao_package/AbstractDAO.html#log">log</a></span></code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../dao_package/AbstractDAO.html#AbstractDAO--">AbstractDAO</a></span>()</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../dao_package/AbstractDAO.html#addObject-T-">addObject</a></span>(<a href="../dao_package/AbstractDAO.html" title="type parameter in AbstractDAO">T</a>&nbsp;object)</code>&nbsp;</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../dao_package/AbstractDAO.html#createDeleteString-java.lang.String-">createDeleteString</a></span>(java.lang.String&nbsp;field)</code>&nbsp;</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../dao_package/AbstractDAO.html#createInsertString--">createInsertString</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../dao_package/AbstractDAO.html#createSelectAllString--">createSelectAllString</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../dao_package/AbstractDAO.html#createSelectString-java.lang.String-">createSelectString</a></span>(java.lang.String&nbsp;field)</code>&nbsp;</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../dao_package/AbstractDAO.html#createUpdateString-java.lang.String-java.lang.String-">createUpdateString</a></span>(java.lang.String&nbsp;field1,
                  java.lang.String&nbsp;field2)</code>&nbsp;</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../dao_package/AbstractDAO.html#deleteObjectByID-int-">deleteObjectByID</a></span>(int&nbsp;id)</code>&nbsp;</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>java.util.List&lt;<a href="../dao_package/AbstractDAO.html" title="type parameter in AbstractDAO">T</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../dao_package/AbstractDAO.html#findAll--">findAll</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code><a href="../dao_package/AbstractDAO.html" title="type parameter in AbstractDAO">T</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../dao_package/AbstractDAO.html#findByID-int-">findByID</a></span>(int&nbsp;id)</code>&nbsp;</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../dao_package/AbstractDAO.html#updateField-java.lang.String-java.lang.String-java.lang.Object-java.lang.Object-">updateField</a></span>(java.lang.String&nbsp;fieldNewValue,
           java.lang.String&nbsp;fieldCond,
           java.lang.Object&nbsp;obj1,
           java.lang.Object&nbsp;obj2)</code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="log">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>log</h4>
<pre>protected static final&nbsp;java.util.logging.Logger log</pre>
</li>
</ul>
</li>
</ul>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="AbstractDAO--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>AbstractDAO</h4>
<pre>public&nbsp;AbstractDAO()</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="createSelectString-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createSelectString</h4>
<pre>public&nbsp;java.lang.String&nbsp;createSelectString(java.lang.String&nbsp;field)</pre>
</li>
</ul>
<a name="createSelectAllString--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createSelectAllString</h4>
<pre>public&nbsp;java.lang.String&nbsp;createSelectAllString()</pre>
</li>
</ul>
<a name="createInsertString--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createInsertString</h4>
<pre>public&nbsp;java.lang.String&nbsp;createInsertString()</pre>
</li>
</ul>
<a name="createDeleteString-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createDeleteString</h4>
<pre>public&nbsp;java.lang.String&nbsp;createDeleteString(java.lang.String&nbsp;field)</pre>
</li>
</ul>
<a name="createUpdateString-java.lang.String-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createUpdateString</h4>
<pre>public&nbsp;java.lang.String&nbsp;createUpdateString(java.lang.String&nbsp;field1,
                                           java.lang.String&nbsp;field2)</pre>
</li>
</ul>
<a name="findByID-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>findByID</h4>
<pre>public&nbsp;<a href="../dao_package/AbstractDAO.html" title="type parameter in AbstractDAO">T</a>&nbsp;findByID(int&nbsp;id)</pre>
</li>
</ul>
<a name="addObject-java.lang.Object-">
<!--   -->
</a><a name="addObject-T-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>addObject</h4>
<pre>public&nbsp;void&nbsp;addObject(<a href="../dao_package/AbstractDAO.html" title="type parameter in AbstractDAO">T</a>&nbsp;object)</pre>
</li>
</ul>
<a name="deleteObjectByID-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>deleteObjectByID</h4>
<pre>public&nbsp;void&nbsp;deleteObjectByID(int&nbsp;id)</pre>
</li>
</ul>
<a name="updateField-java.lang.String-java.lang.String-java.lang.Object-java.lang.Object-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>updateField</h4>
<pre>public&nbsp;void&nbsp;updateField(java.lang.String&nbsp;fieldNewValue,
                        java.lang.String&nbsp;fieldCond,
                        java.lang.Object&nbsp;obj1,
                        java.lang.Object&nbsp;obj2)</pre>
</li>
</ul>
<a name="findAll--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>findAll</h4>
<pre>public&nbsp;java.util.List&lt;<a href="../dao_package/AbstractDAO.html" title="type parameter in AbstractDAO">T</a>&gt;&nbsp;findAll()</pre>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/AbstractDAO.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Class</li>
<li><a href="../dao_package/ClientsAbstractDAO.html" title="class in dao_package"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?dao_package/AbstractDAO.html" target="_top">Frames</a></li>
<li><a href="AbstractDAO.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
